Debian Bug report logs - #625304
gmult: FTBFS dependency problem

version graph

Package: src:gmult; Maintainer for src:gmult is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Mahyuddin Susanto <udienz@datautama.net.id>

Date: Tue, 3 May 2011 10:42:37 UTC

Severity: serious

Tags: sid, wheezy

Found in version gmult/7.3-1

Done: Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#625304; Package src:gmult. (Tue, 03 May 2011 10:42:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mahyuddin Susanto <udienz@datautama.net.id>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 03 May 2011 10:42:41 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mahyuddin Susanto <udienz@datautama.net.id>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gmult: FTBFS dependency problem
Date: Tue, 03 May 2011 17:25:20 +0700
Source: gmult
Version: 7.3-1
Severity: serious
Tags: sid, wheezy
Justification: FTBFS
User: release.debian.org@packages.debian.org
Usertags: transition

This packages is failed to build in sid buildd, maybe because perl
transition?

Dependency installability problem for gmult on armel:

  gmult (= 7.3-1) build-depends on one of:
  - intltool (= 0.41.1-1)
  intltool (= 0.41.1-1) depends on one of:
  - libxml-parser-perl (= 2.36-1.1+b1)
  libxml-parser-perl (= 2.36-1.1+b1) depends on missing:
  - perlapi-5.10.0

Dependency installability problem for gmult on hurd-i386:

  gmult (= 7.3-1) build-depends on one of:
  - intltool (= 0.41.1-1)
  intltool (= 0.41.1-1) depends on one of:
  - libxml-parser-perl (= 2.36-1.1+b1)
  libxml-parser-perl (= 2.36-1.1+b1) depends on missing:
  - perlapi-5.10.0

Dependency installability problem for gmult on i386:

  gmult (= 7.3-1) build-depends on one of:
  - intltool (= 0.41.1-1)
  intltool (= 0.41.1-1) depends on one of:
  - libxml-parser-perl (= 2.36-1.1+b1)
  libxml-parser-perl (= 2.36-1.1+b1) depends on missing:
  - perlapi-5.10.0

Dependency installability problem for gmult on ia64:

  gmult (= 7.3-1) build-depends on one of:
  - intltool (= 0.41.1-1)
  intltool (= 0.41.1-1) depends on one of:
  - libxml-parser-perl (= 2.36-1.1+b1)
  libxml-parser-perl (= 2.36-1.1+b1) depends on missing:
  - perlapi-5.10.0

Dependency installability problem for gmult on kfreebsd-amd64:

  gmult (= 7.3-1) build-depends on one of:
  - intltool (= 0.41.1-1)
  intltool (= 0.41.1-1) depends on one of:
  - libxml-parser-perl (= 2.36-1.1)
  libxml-parser-perl (= 2.36-1.1) depends on missing:
  - perlapi-5.10.0

Dependency installability problem for gmult on kfreebsd-i386:

  gmult (= 7.3-1) build-depends on one of:
  - intltool (= 0.41.1-1)
  intltool (= 0.41.1-1) depends on one of:
  - libxml-parser-perl (= 2.36-1.1)
  libxml-parser-perl (= 2.36-1.1) depends on missing:
  - perlapi-5.10.0

Dependency installability problem for gmult on mips:

  gmult (= 7.3-1) build-depends on one of:
  - intltool (= 0.41.1-1)
  intltool (= 0.41.1-1) depends on one of:
  - libxml-parser-perl (= 2.36-1.1+b1)
  libxml-parser-perl (= 2.36-1.1+b1) depends on missing:
  - perlapi-5.10.0

Dependency installability problem for gmult on mipsel:

  gmult (= 7.3-1) build-depends on one of:
  - intltool (= 0.41.1-1)
  intltool (= 0.41.1-1) depends on one of:
  - libxml-parser-perl (= 2.36-1.1+b1)
  libxml-parser-perl (= 2.36-1.1+b1) depends on missing:
  - perlapi-5.10.0

Dependency installability problem for gmult on powerpc:

  gmult (= 7.3-1) build-depends on one of:
  - intltool (= 0.41.1-1)
  intltool (= 0.41.1-1) depends on one of:
  - libxml-parser-perl (= 2.36-1.1+b1)
  libxml-parser-perl (= 2.36-1.1+b1) depends on missing:
  - perlapi-5.10.0

Dependency installability problem for gmult on s390:

  gmult (= 7.3-1) build-depends on one of:
  - intltool (= 0.41.1-1)
  intltool (= 0.41.1-1) depends on one of:
  - libxml-parser-perl (= 2.36-1.1+b1)
  libxml-parser-perl (= 2.36-1.1+b1) depends on missing:
  - perlapi-5.10.0

Dependency installability problem for gmult on sparc:

  gmult (= 7.3-1) build-depends on one of:
  - intltool (= 0.41.1-1)
  intltool (= 0.41.1-1) depends on one of:
  - libxml-parser-perl (= 2.36-1.1+b1)
  libxml-parser-perl (= 2.36-1.1+b1) depends on missing:
  - perlapi-5.10.0

-- 
[ Mahyuddin Susanto ] - 4096R/90B36C5B





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#625304; Package src:gmult. (Tue, 03 May 2011 11:12:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mahyuddin Susanto <udienz@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 03 May 2011 11:12:56 GMT) Full text and rfc822 format available.

Message #10 received at 625304@bugs.debian.org (full text, mbox):

From: Mahyuddin Susanto <udienz@ubuntu.com>
To: 625304@bugs.debian.org
Subject: Build-Dep
Date: Tue, 03 May 2011 17:51:39 +0700
[Message part 1 (text/plain, inline)]
FYI, current Build-Dep is

Build-Depends: debhelper (>> 7), quilt, intltool (>= 0.28), gettext (>=
0.12.1), docbook-xsl, xsltproc, automake, autoconf, pkg-config,
libgtk2.0-dev, libglib2.0-dev

Last Log at pbuilder is:
The following packages have unmet dependencies:
  libhtml-parser-perl: Depends: perlapi-5.10.1 which is a virtual package.
  libxml-parser-perl: Depends: perlapi-5.10.0 which is a virtual package.
The following actions will resolve these dependencies:

     Remove the following packages:
1)     pbuilder-satisfydepends-dummy

     Keep the following packages at their current version:
2)     intltool [Not Installed]
3)     libhtml-parser-perl [Not Installed]
4)     libhtml-tree-perl [Not Installed]
5)     libhttp-cookies-perl [Not Installed]
6)     libhttp-message-perl [Not Installed]
7)     libhttp-negotiate-perl [Not Installed]
8)     libwww-perl [Not Installed]
9)     libxml-parser-perl [Not Installed]



The following NEW packages will be installed:
  libpng12-0{a}
The following packages will be REMOVED:
  pbuilder-satisfydepends-dummy{a}
0 packages upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
Need to get 0 B/176 kB of archives. After unpacking 328 kB will be used.
(Reading database ... 12996 files and directories currently installed.)
Removing pbuilder-satisfydepends-dummy ...
Selecting previously deselected package libpng12-0.
(Reading database ... 12996 files and directories currently installed.)
Unpacking libpng12-0 (from .../libpng12-0_1.2.44-2_i386.deb) ...
Setting up libpng12-0 (1.2.44-2) ...

Current status: 0 broken [-1].

-- 
[ Mahyuddin Susanto ] - 4096R/90B36C5B


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#625304; Package src:gmult. (Tue, 03 May 2011 11:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 03 May 2011 11:54:21 GMT) Full text and rfc822 format available.

Message #15 received at 625304@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: Mahyuddin Susanto <udienz@ubuntu.com>, 625304@bugs.debian.org
Subject: Re: Bug#625304: Build-Dep
Date: Tue, 3 May 2011 13:50:30 +0200
block 625304 by 619117
thanks

On Tue, May 03, 2011 at 05:51:39PM +0700, Mahyuddin Susanto wrote:
> The following packages have unmet dependencies:
>   libhtml-parser-perl: Depends: perlapi-5.10.1 which is a virtual package.
>   libxml-parser-perl: Depends: perlapi-5.10.0 which is a virtual package.

Hello,

This is indeed due to the ongoing perl 5.12 transition and should be
fine when it's over.

Cheers

-- 
Etienne Millon




Added blocking bug(s) of 625304: 619117 Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Tue, 03 May 2011 11:54:35 GMT) Full text and rfc822 format available.

Reply sent to Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de>:
You have taken responsibility. (Tue, 03 May 2011 12:28:12 GMT) Full text and rfc822 format available.

Notification sent to Mahyuddin Susanto <udienz@datautama.net.id>:
Bug acknowledged by developer. (Tue, 03 May 2011 12:28:41 GMT) Full text and rfc822 format available.

Message #22 received at 625304-done@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@mathi.uni-heidelberg.de>
To: 625304-done@bugs.debian.org
Subject: Re: Bug#625304: gmult: FTBFS dependency problem
Date: Tue, 03 May 2011 13:58:01 +0200
Mahyuddin Susanto <udienz@datautama.net.id> writes:
> This packages is failed to build in sid buildd, maybe because perl
> transition?

It didn't fail to build, it's waiting for its build-dependencies to be
installable again...

> Dependency installability problem for gmult on armel:
>
>   gmult (= 7.3-1) build-depends on one of:
>   - intltool (= 0.41.1-1)
>   intltool (= 0.41.1-1) depends on one of:
>   - libxml-parser-perl (= 2.36-1.1+b1)
>   libxml-parser-perl (= 2.36-1.1+b1) depends on missing:
>   - perlapi-5.10.0

... which they will be once the binNMUs for the perl 5.12 transistion
are done.

Regards,
Ansgar




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Jun 2011 07:31:54 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Wed, 21 Sep 2011 14:15:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Oct 2011 07:31:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:00:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.